ElaborationType (Occurrence Data Management 2.0.0-3.1.1 API)
Date: 2014-06-04

org.gcube.portlets.user.occurrencemanagement.shared

## Enum ElaborationType

- java.lang.Object
- - java.lang.Enum<ElaborationType>
  - - org.gcube.portlets.user.occurrencemanagement.shared.ElaborationType

- All Implemented Interfaces:
    Serializable, Comparable<ElaborationType>

      public enum ElaborationType
      extends Enum<ElaborationType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMPUTATION`
    `IMPORTED`
    `OPERATIONS`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `label`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLabel()`
    `void` | `setLabel(String label)`
    `static ElaborationType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ElaborationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IMPORTED

          public static final ElaborationType IMPORTED

    - #### OPERATIONS

          public static final ElaborationType OPERATIONS

    - #### COMPUTATION

          public static final ElaborationType COMPUTATION

  - ### Field Detail

    - #### label

          protected String label

  - ### Method Detail

    - #### values

          public static ElaborationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ElaborationType c : ElaborationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ElaborationType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getLabel

          public String getLabel()

    - #### setLabel

          public void setLabel(String label)

Copyright © 2014. All Rights Reserved.